---
title: Update zone-level Waiting Room settings
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Waiting Rooms](https://developers.cloudflare.com/api/go/resources/waiting_rooms)

[Settings](https://developers.cloudflare.com/api/go/resources/waiting_rooms/subresources/settings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update zone-level Waiting Room settings

client.WaitingRooms.Settings.Update(ctx, params) (\*[SettingUpdateResponse](<https://developers.cloudflare.com/api/go/resources/waiting_rooms#(resource)%20waiting_rooms.settings%20%3E%20(model)%20SettingUpdateResponse%20%3E%20(schema)>), error)

PUT/zones/{zone\_id}/waiting\_rooms/settings

Replace zone-level Waiting Room settings.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Waiting Rooms Write`

##### ParametersExpand Collapse

<details>

<summary>

params SettingUpdateParams

</summary>

ZoneID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20waiting_rooms.settings%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

SearchEngineCrawlerBypass param.Field\[bool]Optional

Body param: Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics.

<a href="#(resource)%20waiting_rooms.settings%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20search_engine_crawler_bypass">Link to this property</a>

</details>

[Link to this property](<#(resource)%20waiting_rooms.settings%20%3E%20(method)%20update%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type SettingUpdateResponse struct{…}

</summary>

SearchEngineCrawlerBypass bool

Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics.

<a href="#(resource)%20waiting_rooms.settings%20%3E%20(model)%20SettingUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20search_engine_crawler_bypass">Link to this property</a>

</details>

[Link to this property](<#(resource)%20waiting_rooms.settings%20%3E%20(model)%20SettingUpdateResponse%20%3E%20(schema)>)

### Update zone-level Waiting Room settings

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/waiting_rooms"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  setting, err := client.WaitingRooms.Settings.Update(context.TODO(), waiting_rooms.SettingUpdateParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", setting.SearchEngineCrawlerBypass)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "search_engine_crawler_bypass": true
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "search_engine_crawler_bypass": true
  },
  "success": true
}
```